by Fanatical Labs

Empower your support and sales teams with clear visibility to the right data, right when they need it. With the Zendesk and Sugar integration, your teams will be able to stay up-to-date on all relevant records whether they're working in Zendesk or SugarCRM.

Cancel at any time!
Free Trial

#3121 - Unable to uninstall Fanatically Zen with Sugar and Zendesk (Stuck on 82%)

Closed Bug? created by Sugabyte 2 years ago

Hi,

I'm trying to uninstall this customisation and it's getting stuck on 82%:
https://screencast.com/t/QURoT7Ecpj

Any ideas?

Thanks, JB

  1. chad member avatar

    Chad Hutchins

    2 years ago

    Hello, sorry for the issue. A few things to check:

    1) What version and edition of Sugar are you installing this on?

    2) Immediately after trying to install the module, go to the sugar logs and see what is listed there. When installation stops at 82% the issue usually has something to do with elasticsearch. Do you see any errors in the log?

    3) Was the old Zendesk integration installed or have they never had any Zendesk integration installed?

    Thanks!

  2. sugabyte member avatar

    Sugabyte

    2 years ago

    HI CHAD, THANKS FOR COMING BACK SO QUICKLY.

    The error in the SugarCRM log is: https://screencast.com/t/h5XeL0W1wxBZ and i'm not sure if this is related.

    The version i'm trying to uninstall is 1.0.1a

    The last entry in the ES log is:
    [2017-06-01 16:59:50,049][INFO ][cluster.metadata         ] [SugaCloud] [8d51256c37a3729fff6cf2576e0349c4_shared] create_mapping [FanaticalZendesk]
    ... but this does not seem to appear when I tail -f the log.

    Any other ideas?

    Thanks, James.

    • chad member avatar

      Chad Hutchins

      2 years ago

      Sure thing, happy to help.

      Can you send me a screenshot of the module loader page?

      This is for Sugar 7 correct?

  3. sugabyte member avatar

    Sugabyte

    2 years ago

    Hi Chad,

    This is an update on the log:

    https://screencast.com/t/UJHMsAuIxS

    Thanks, James

  4. sugabyte member avatar

    Sugabyte

    2 years ago

    This is the screenshot of the module loader page:
    https://screencast.com/t/yz3RkMfqC

    Thanks, James

  5. chad member avatar

    Chad Hutchins

    2 years ago

    Can you please send a screenshot of the entire module loader page?

    Is this Sugar 7?

  6. sugabyte member avatar

    Sugabyte

    2 years ago

    Hi Chad,

    Yes - this is for Ent 7.8.1.0

    This is the screenshot: https://screencast.com/t/ab1SxJnBR

    The only one missing from the bottom is Act-On.

    Thanks, James.

    • chad member avatar

      Chad Hutchins

      2 years ago

      Thanks for that.

      Is your goal to uninstall the integration and stop using it? Or are you wanting to upgrade the integration to the latest version?

  7. sugabyte member avatar

    Sugabyte

    2 years ago

    Hi Chad,

    At the moment, we are looking to just uninstall because we are trying to upgrade to 7.9 and this is the only customisation stopping us. After testing the latest version for the Zendesk integration, we would like to continue using it.

    Thank you, James.

    • chad member avatar

      Chad Hutchins

      2 years ago

      Got it, thanks. It's hard to know why it isn't uninstalling. Nothing in the logs seem very useful so far. It's possible it's permission issues or maybe an elasticsearch issue.

      In your scenario, I would recommend installing the latest package on top of what exists. Then check the upgrader to see if it lets you upgrade with it installed.

      If it does not, then try uninstalling the integration again to see if it works uninstalling from the new integration.

      If none of this works, I'd recommend us getting on a call so I can take a look. You can pick a day/time that works for you here: https://calendly.com/fanaticallabs/zendesk-support-meeting

      Thanks!

  8. sugabyte member avatar

    Sugabyte

    2 years ago

    Thanks Chad,

    I have actually tried what you suggested by installing the new version and uninstalling this, which just creates a separate package in Module loader. Still, uninstalling the old version becomes a problem.

    I've also tried chmod 777 to check if it's related to the permissions, but the same problem.

    I will see if I can arrange a call for tomorrow, thanks for your help thus far :)

    Kind regards, James.

    • chad member avatar

      Chad Hutchins

      2 years ago

      Ah ok, worth a shot. One thing you can do is install the new package, then go to the upgrade_history table and manually delete the old integration record from that table. This will remove the old integration record from the module loader. That might trick it enough to push through the upgrade.

      Go ahead and look at that schedule link when you get a chance. I'm out tomorrow, but there is a small time slot for later today.

  9. sugabyte member avatar

    Sugabyte

    2 years ago

    Hi Chad,

    Nice tip. Will try that with the upgrade_history tble and let you know!

    Thanks again.

    Kind regards, James.

  10. chad member avatar

    Chad Hutchins

    2 years ago

    Hi James, just following up here. If you would still like me to take a look at this please pick a day and time that best works for you here: https://calendly.com/fanaticallabs/zendesk-support-meeting

    Thanks!

  11. chad member avatar

    Chad Hutchins

    2 years ago

    Hi James, I'm going to close down this case. Please let me know if you still need any help with anything. Thanks!

This case is public. Please leave out any sensitive information such as URLs, passwords, etc.
Saving Comment Saving Comment...
Rating
Rating
  • "They did a great job customizing our Sugar/Zendesk plugin. I love that you don't have to explain everything, they just get it."

    Read More Reviews

Keep up to date on the latest additions

We'll send you an email every month with handpicked add-ons, reviews, tricks and tips. Don't worry, we hate spam as much as you do.